stages:
- build
- deploy

generate-gif-proxies:
  image: ubuntu:latest
  stage: build
  before_script:
    - apt-get update
    - apt-get install ffmpeg -y
  script:
    - du -h src
    - find src -type f -exec bash -c 'echo "{}"; ffmpeg -compression_level 8 -lossless 0 -loglevel warning -loop 1 -i "{}" -vf scale=304:-1 "{}-proxy.webp"' \;
    - du -h src
  artifacts:
    paths:
    - src
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

pages:
  stage: deploy
  script:
    - mkdir .public
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
